# Extensions

The following extensions are available globally.

- `Data`
  See more

  #### Declaration

  Swift

      extension Data

- `Optional`
  See more

  #### Declaration

  Swift

      extension Optional: MixpanelType

- `String`
  See more

  #### Declaration

  Swift

      extension String: MixpanelType

- `NSString`
  See more

  #### Declaration

  Swift

      extension NSString: MixpanelType

- `NSNumber`
  See more

  #### Declaration

  Swift

      extension NSNumber: MixpanelType

- `Int`
  See more

  #### Declaration

  Swift

      extension Int: MixpanelType

- `UInt`
  See more

  #### Declaration

  Swift

      extension UInt: MixpanelType

- `Double`
  See more

  #### Declaration

  Swift

      extension Double: MixpanelType

- `Float`
  See more

  #### Declaration

  Swift

      extension Float: MixpanelType

- `Bool`
  See more

  #### Declaration

  Swift

      extension Bool: MixpanelType

- `Date`
  See more

  #### Declaration

  Swift

      extension Date: MixpanelType

- `URL`
  See more

  #### Declaration

  Swift

      extension URL: MixpanelType

- `NSNull`
  See more

  #### Declaration

  Swift

      extension NSNull: MixpanelType

- `Array`
  See more

  #### Declaration

  Swift

      extension Array: MixpanelType

- `NSArray`
  See more

  #### Declaration

  Swift

      extension NSArray: MixpanelType

- `Dictionary`
  See more

  #### Declaration

  Swift

      extension Dictionary: MixpanelType

© 2026 Mixpanel. All rights reserved. (Last updated: 2026-03-17)

Generated by jazzy ♪♫ v0.15.4, a Realm project.